import api from './index'
import { axios } from '@/utils/request'

export function login ({ username, password }) {
  return axios({
    url: 'login',
    headers: { 'content-type': 'application/x-www-form-urlencoded', 'App-Type': 1 },
    data: `username=${username}&password=${password}`,
    method: 'post'
  }).then(res => res.data)
}

export function logout () {
  return axios({
    url: 'logout',
    method: 'get'
  })
}

export function getSmsCaptcha (parameter) {
  return axios({
    url: api.SendSms,
    method: 'post',
    data: parameter
  })
}

export function getInfo () {
  return axios({
    url: '/user/info',
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function getCurrentUserNav (token) {
  return axios({
    url: '/user/nav',
    method: 'get'
  })
}

/**
 * get user 2step code open?
 * @param parameter {*}
 */
export function get2step (parameter) {
  return axios({
    url: api.twoStepCode,
    method: 'post',
    data: parameter
  })
}

// 修改密码
export function changePwd (parameter) {
  return axios({
    url: 'user/changePWD',
    // url: 'employee/changePWD',
    method: 'post',
    data: parameter
  })
}
