// eslint-disable-next-line
import { UserLayout, BasicLayout, RouteView, BlankLayout, PageView } from '@/layouts'

export const asyncRouterMap = [
  {
    path: '/',
    name: 'index',
    component: BasicLayout,
    meta: {
      title: '首页'
    },
    redirect: '/home',
    children: [{
      path: '/home',
      name: 'home',
      redirect: '/home',
      component: PageView,
      meta: {
        title: '首页',
        icon: 'home'
      },
      hideChildrenInMenu: true,
      children: [{
        path: '/home',
        name: 'home',
        component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
        meta: {
          title: '首页',
          icon: 'home',
          hidden: true
        }
      },
      {
        path: '/changePwd',
        name: 'changePwd',
        component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
        meta: {
          title: '修改密码',
          icon: 'home',
          hidden: true
        }
      }
      ]
    },
    // 优惠券中心
    {
      path: '/CouponCenter',
      redirect: '/CouponCenter/CreateCoupons',
      component: PageView,
      meta: {
        title: '优惠券管理',
        icon: 'shopping',
        permission: 'M_coupon_0'
      },
      children: [{
        path: '/CouponCenter/CreateCoupons',
        name: 'CouponCenter',
        component: () => import('@/views/CouponCenter/CreateCoupons.vue'),
        meta: {
          title: '创建优惠券',
          icon: 'database',
          permission: 'M_coupon_create'
        }
      }]
    },
    {
      path: '/CouponStatistics',
      redirect: '/CouponStatistics/CouponStatistics',
      component: PageView,
      meta: {
        title: '卡券统计',
        icon: 'bar-chart',
        permission: 'M_CouponStatistics_0'
      },
      children: [{
        path: '/CouponStatistics/CouponStatisticsList',
        name: 'CouponStatisticsList',
        component: () => import('@/views/CouponStatistics/CouponStatisticsList.vue'),
        meta: {
          title: '优惠券统计',
          icon: 'line-chart',
          permission: 'M_CouponStatistics_List'
        }
      }
      ]
    },
    {
      path: '/setting',
      redirect: '/setting/userList',
      component: PageView,
      meta: {
        title: '系统设置',
        icon: 'setting'
        // permission: 'M_setting_0'
      },
      children: [{
        path: '/setting/dataDictionary',
        name: 'powerDD',
        component: () => import(/* webpackChunkName: "setting" */
          '@/views/power/dataDictionary/dataDictionary.vue'),
        meta: {
          title: '数据字典管理',
          icon: 'database'
          // permission: 'M_sys_dataDictionary'
        }
      }
        // 暂时屏蔽,后期可能需要
        // {
        //   path: '/setting/register',
        //   name: 'powerRegister',
        //   component: () => import( /* webpackChunkName: "setting" */ '@/views/power/register/register.vue'),
        //   meta: {
        //     title: '参数管理',
        //     icon: 'key'
        //     // permission: 'M_sys_register'
        //   }
        // },
        // 暂时屏蔽,后期可能需要
        // {
        //   path: '/setting/jobs',
        //   name: 'powerJobs',
        //   component: () => import( /* webpackChunkName: "setting" */ '@/views/power/job/jobs.vue'),
        //   meta: {
        //     title: '定时器',
        //     icon: 'alert'
        //     // permission: 'M_sys_job'
        //   }
        // }
      ]
    }
    ]
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [{
  path: '/user',
  component: UserLayout,
  redirect: '/user/login',
  hidden: true,
  children: [{
    path: 'login',
    name: 'login',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
  },
  {
    path: 'register',
    name: 'register',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
  },
  {
    path: 'register-result',
    name: 'registerResult',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
  },
  {
    path: 'recover',
    name: 'recover',
    component: undefined
  }
  ]
},
{
  path: '/404',
  component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
}

]
